import java.io.*;
import java.util.Arrays;
import java.util.Hashtable;
import java.util.*;

////////////////////////////////////
//THIS PROGRAM EXTRACTS THE REFERENCE SEQUENCE FOR EACH LOCUS THE ACE FILE FROM A DENOVO ASSEMBLY...BY SLIDING OTHER REFERENCES ACROSS EACH CONTIG IN ACE AND IDENTIFYING THE BEST MATCH...

public class ExtractContigsFromAce{
  public static void main(String[] args){
      try{

	
	BufferedReader br = new BufferedReader ( new InputStreamReader(new FileInputStream(   new File(args[0]) ) ));	//ACE FILE
	BufferedWriter bw = new BufferedWriter ( new OutputStreamWriter(new FileOutputStream(   new File(args[1]) ) ));	//outfile for contigs

	String tempS=br.readLine();
	String contig;

	while(tempS!=null){
		if(tempS.startsWith("CO ")){	//CO Contig1 5283 17712 0 U
			//get the contig sequence
			bw.write(">"+tempS.split(" ")[1]+"\n");

			contig="";
			tempS=br.readLine();
			while(tempS.length()>0){
				contig=contig+tempS;
				tempS=br.readLine();
			}

			//remove the gaps from the consensus sequence
			String tempContig="";
			for(int i=0; i<contig.length(); i++){
				if(contig.charAt(i)!='-'){
					tempContig=tempContig+contig.charAt(i);
				}
			}
			contig=tempContig;
			bw.write(contig+"\n");
			bw.flush();		
		}

		tempS=br.readLine();
	}
	br.close();
	bw.flush();
	bw.close();

      }catch(IOException ioe){System.out.println("<<!!ERROR main()!!>>");}
  }


}
