import java.io.*;
import java.util.Arrays;
import java.util.Hashtable;
import java.util.*;

////////////////////////////////////
//THIS PROGRAM TAKE RAW MERGED READS AND REMOVES THE REDUNDANT SEQUENCES (SEQUENCE IN MERGED READ IS IDENTICAL FOR TWO OR MORE MERGED READS IF PCR DUPLICATES OCCURR
//NOT THAT READS WITH SEQUENCING ERROR WILL BE REMOVED...so it's not perfect...


public class ReducePCRDuplicatesM{
  public static void main(String[] args){
      try{

	
	BufferedReader br1 = new BufferedReader ( new InputStreamReader(new FileInputStream(   new File(args[0]) ) ));

	BufferedWriter bw1;

	BufferedWriter bw;
	
	Hashtable uPairs = new Hashtable(20000000);	//HASH TABLE WITH UP TO 20 MILLION UNIQUE READS (MORE CAN BE ACCOMODATED BUT WILL SLOW DOWN PROGRAM)

	UPair upair=null;

	int nReads=0;
	int nReadsReduced=0;

	String tempS1=br1.readLine();
	String seq1="";
	//read through once to hash all sequences (concatenate forward and reverse, hash in both directions)
	while(tempS1!=null){
		nReads++;
		
		if(nReads%100000==0){System.out.print("\rHashing merged read "+nReads+"\t"+nReadsReduced);}
		seq1=br1.readLine();
		upair = (UPair)uPairs.get(seq1);	//a merged
		if(upair==null){
			nReadsReduced++;
			upair = new UPair();
			upair.rev=new UPair();
			upair.count=1;
			upair.rev.count=0;
			uPairs.put(seq1,upair);
			uPairs.put(getRevComp(seq1),upair.rev);
		}else{
			upair.count++;
		}

		br1.readLine(); br1.readLine(); tempS1=br1.readLine();	//get +, qc, and next header
	}
	br1.close();

	System.out.println();
	System.out.println("Number of reads: "+nReads);
	System.out.println("Number of reads after removing PCR duplicates: "+nReadsReduced);
	System.out.println("PCR duplicate rate: "+nReads/(double)nReadsReduced);

	//read through again this time save the first encountered pair of each type
	br1 = new BufferedReader ( new InputStreamReader(new FileInputStream(   new File(args[0]) ) ));

	bw1 = new BufferedWriter ( new OutputStreamWriter(new FileOutputStream(   new File(args[1]) ) ));

	bw = new BufferedWriter ( new OutputStreamWriter(new FileOutputStream(   new File(args[2]) ) ));
		
	tempS1=br1.readLine();
	seq1="";
	nReads=0;
	
	while(tempS1!=null){
		nReads++;
		if(nReads%100000==0){System.out.print("\rChecking merged read "+nReads);}
		seq1=br1.readLine();
		upair = (UPair)uPairs.get(seq1);	//should have been observed, so can assume that it is in hashtable
		if(upair.count>=0){			//will be -1 if already written
			bw1.write(tempS1+"\n");			//first header
			bw1.write(seq1+"\n");			//reads
			bw1.write(br1.readLine()+"\n");		//second header +
			bw1.write(br1.readLine()+"\n");		//quality scores
			bw1.flush();			
			
			bw.write(tempS1+"\t"+(upair.count+upair.rev.count)+"\n");
			bw.flush();
			
			upair.count=-1;
			upair.rev.count=-1;
		}else{
			br1.readLine();
			br1.readLine();
		}
		
		tempS1=br1.readLine();	//get next header
	}
	System.out.println();
	br1.close();
	bw1.flush();
	bw1.close();

      }catch(IOException ioe){System.out.println("<<!!ERROR main()!!>>");}
  }

  static String getRevComp(String seq){
  	String revComp="";
  	int len=seq.length();
  	for(int i=0; i<len; i++){
  		revComp+=seq.charAt(len-(i+1));
  	}
  	if(seq.length()!=revComp.length()){System.out.println("ERROR 1 IN getRevCOMP!!!");}
  
  	revComp=revComp.replace('A','Z');
  	revComp=revComp.replace('T','A');
  	revComp=revComp.replace('Z','T'); 
  	
  	revComp=revComp.replace('C','Q');
  	revComp=revComp.replace('G','C');
  	revComp=revComp.replace('Q','G');
  	
  	//REPLACE ALL OTHER BASES WITH 'N'
  	for(int i=0; i<len; i++){
  		char c=revComp.charAt(i);
  		if(c!='-' && c!='A' && c!='T' && c!='C' && c!='G'){
  			if(len>i+1){	revComp=revComp.substring(0,i)+'N'+revComp.substring(i+1);
  			}else{		revComp=revComp.substring(0,i)+'N'; }
		}
  	}  	
  	if(revComp.length()!=len){System.out.println("ERROR 2 IN getRevCOMP!!!");}
  		
	return revComp;
  }  


}

class UPair{
	int count=0;
	UPair rev=null;
}
